<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="css/Bootstrap/bootstrap.min.css" />
    <link rel="stylesheet" href="css/adminDash.css" />
    <title>Document</title>
  </head>
  <body>
    <nav class="navbar navbar-expand-lg text-white bg-danger alert hidden">
      <h3 class="alert-wait">Something went wrong, please try again later.</h3>
    </nav>

    <nav class="navbar navbar-expand-lg text-white bg-success alert hidden">
      <h3 class="alert-ok">Your objection has been submitted successfully.</h3>
    </nav>
    <nav class="signin-nav navbar navbar-expand-lg">
      <div class="respon">
        <ul class="navbar-nav">
          <li class="nav-item dropdown">
            <a
              class="nav-link dropdown-toggle text-white"
              href="#"
              id="navbarDarkDropdownMenuLink"
              role="button"
              data-bs-toggle="dropdown"
            >
              Ammar Jlies
            </a>
            <ul
              class="dropdown-menu"
              aria-labelledby="navbarDarkDropdownMenuLink"
            >
              <li>
                <a
                  class="dropdown-item log-out"
                  href="http://localhost/SemesterProject/index.html"
                  >Log out</a
                >
              </li>
            </ul>
          </li>
        </ul>
      </div>
    </nav>

    <section id="requests">
      <div class="row d-flex justify-center">
        <h2 class="text-center">Sign Up Requests</h2>
        <div class="container-fluid col-lg-8 requests-container">
          <div class="container-fluid requests-box">
            <div class="row row-cols-1">
              <div class="col">
                <select
                  class="form-select form-select-lg year-sel mb-2"
                  required
                >
                  <option disabled selected hidden>Year</option>
                  <option value="1">1</option>
                  <option value="2">2</option>
                  <option value="3">3</option>
                  <option value="4">4</option>
                  <option value="5">5</option>
                </select>
              </div>
            </div>
            <br />
            <!-- this is the request -->
            <div class="requests-window">
              <div class="container-fluid request removable">
                <div class="container-fluid d-flex align-items-center row">
                  <div class="col-lg-4 text-center">
                    <h5>Name: Ammar Jlies</h5>
                  </div>
                  <div class="col-lg-3 text-center">
                    <h5>matNo: 4812</h5>
                  </div>
                  <div class="col-lg-3 text-center">
                    <h5>Year: 4</h5>
                  </div>
                  <div class="col-lg-2 text-center">
                    <button
                      class="btn btn-primary btn-accept"
                      data-bs-toggle="modal"
                      data-bs-target="#staticBackdrop"
                    >
                      &#10003;
                    </button>
                    <button
                      class="btn btn-danger btn-reject"
                      data-bs-toggle="modal"
                      data-bs-target="#staticBackdrop"
                    >
                      &#x2715;
                    </button>
                  </div>
                </div>
              </div>
            </div>
            <!-- end of request -->
          </div>
        </div>
      </div>
    </section>

    <!-- Popup when clicking check or x -->
    <div
      class="modal fade"
      id="staticBackdrop"
      data-bs-backdrop="static"
      data-bs-keyboard="false"
      tabindex="-1"
      aria-labelledby="staticBackdropLabel"
      aria-hidden="true"
    >
      <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
          <div class="modal-header">
            <!-- Popup Title -->
            <h5 class="modal-title" id="staticBackdropLabel">Checkout</h5>
            <button
              type="button"
              class="btn-close"
              data-bs-dismiss="modal"
              aria-label="Close"
            ></button>
          </div>
          <!-- Popup Text -->
          <div class="modal-body"></div>
          <!-- Popup Footer (buttons) -->
          <div class="modal-footer">
            <button
              type="button"
              class="btn btn-secondary btn-cancel"
              data-bs-dismiss="modal"
            >
              Close
            </button>
            <button
              type="button"
              class="btn btn-primary btn-confirm"
              data-bs-dismiss="modal"
            >
              Confirm
            </button>
          </div>
        </div>
      </div>
    </div>
    <!-- end of Popup -->

    <script src="js/adminDash.js"></script>
    <script src="js/Bootstrap/bootstrap.bundle.min.js"></script>
  </body>
</html>
